'use strict';
//const common = require('../../common');
const assert = require('assert');
const addon = require('./build/Release/TsDBAccess');

const mydb = new addon.DBCore();
const ret = mydb.Connect('192.168.3.100:8080', 'gly', '123');
console.log(ret);
if(ret == -1)
{
	console.log("用户名密码错误！");
	return;
}
if(ret == -2)
{
	console.log("无法连接服务器！");
	return;
}
if(ret != 0)
{
	console.log("未知错误！");
	return;
}

const drv = mydb.GetDriver('外部程序接口变量');
if(drv == null)
	return;
var uu = drv.GetTagValue('Logo水平位置');
console.log(uu);

const kk = drv.SetTagValue('Logo_mmm', uu+10);

const tt = drv.SetTagValue('Logo水平位置', uu+10);
if(tt == -1)
	console.log("当前登录用户无写值权限！");
else if(tt == -2)
	console.log("网络错误！");
else if(tt == -3)
	console.log("参数错误！");


mydb.SetRtAlarmNotify(function(alarmDate, eventDate, tagName, eventType, alarmType, alarmGroup, level, value, limit, status){
	const evtType = eventType ? "确认" : "报警";
	console.log("报警时间：" + alarmDate + "，事件时间：" + eventDate + "，变量名：" + tagName + "，事件类型：" + evtType +
	"，报警组：" + alarmGroup + "，级别：" + level + "，报警值：" + value + "，限值：" + limit + "，状态：" + status);
}, true);

drv.SetTagNotify(function(drv, tag, value){
	console.log(" 变量：" + drv + "." + tag + ":" + value);
}
);
drv.ConnectTag('Logo水平位置, Logo垂直位置, Logo旋转角度');

var j = 0;
var i = setInterval(function () {
/*	uu = drv.GetTagValue('Logo水平位置, Logo垂直位置, Logo旋转角度');
	console.log(uu);
	uu[0] += 5;
	uu[1] += 5;
	uu[3] += 5;
	drv.SetTagValue('Logo水平位置, Logo垂直位置, Logo旋转角度', uu);*/
//  console.log('ping');
	const aa = drv.SetTagValue('Logo水平位置', j);
	j++;
	console.log('aa= ' +aa);
	
	mydb.KeepALive();	//mydb如果长时间未被调用，nodejs会自动清除，此处告诉nodejs还需要用，因为网络连接是保持在DBCore中
}, 3000);

